<?php
/**
 * The Strangecode Codebase - a general application development framework for PHP
 * For details visit the project site: <http://trac.strangecode.com/codebase/>
 * Copyright 2001-2012 Strangecode, LLC
 * 
 * This file is part of The Strangecode Codebase.
 *
 * The Strangecode Codebase is free software: you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as published by the
 * Free Software Foundation, either version 3 of the License, or (at your option)
 * any later version.
 * 
 * The Strangecode Codebase is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * The Strangecode Codebase. If not, see <http://www.gnu.org/licenses/>.
 */

/*
* Configuration for unit tests.
*
* @author   Quinn Comendant <quinn@strangecode.com>
* @version  1.0
*/
require_once '../lib/App.inc.php';
$app =& App::getInstance('testapp');

$app->setParam(array(
    'site_name' => 'Test App',
    'site_email' => 'hello@example.com',
    'redirect_home_url' => '/',
    'enable_session' => true,
    'enable_db_session_handler' => true,
    'session_use_cookies' => true,
    'session_name' => 'StrangecodeTestSession',
    'enable_db' => true,
    'db_create_tables' => true,
    'db_always_debug' => false,
    'db_debug' => true,
    'db_die_on_failure' => true,
    'db_server' => 'localhost',
    'db_name' => 'test',
    'db_user' => 'root',
    'db_pass' => getenv('DB_PASS'),
    'display_errors' => true,
    'db_always_debug' => false, // TRUE = display all SQL queries.
    'db_debug' => true,
    'db_die_on_failure' => true,
    'log_directory' => '/tmp',
    'log_filename' => 'codebase_test_log',
    'log_file_priority' => LOG_DEBUG,
    'log_screen_priority' => LOG_WARNING,
    'error_reporting' => E_ALL,
));

$app->start();
